PropertyBeanEditor (OpenMap API)
Date: 2016-12-09

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bbn.openmap.tools.beanbox
Class PropertyBeanEditor

    java.lang.Object
      java.beans.PropertyEditorSupport
          com.bbn.openmap.tools.beanbox.PropertyBeanEditor

All Implemented Interfaces:
  java.beans.PropertyEditor

Direct Known Subclasses:
  BeanLayoutEditor

    public class PropertyBeanEditor

extends java.beans.PropertyEditorSupport

Custom property editor for a bean property that is itself a bean.

Constructor Summary
`PropertyBeanEditor()`

Method Summary
`java.awt.Component` | `getCustomEditor()` returns an instance of the `GenericPropertySheet` which serves as the custom editor component for the bean property associated with this editor.
`boolean` | `isPaintable()` returns true;
`void` | `paintValue(java.awt.Graphics g, java.awt.Rectangle box)` represents the face of the custom property editor as a rectangular box containing the text "Click to Edit".
`boolean` | `supportsCustomEditor()` returns true.

Methods inherited from class java.beans.PropertyEditorSupport
`addPropertyChangeListener, firePropertyChange, getAsText, getJavaInitializationString, getSource, getTags, getValue, removePropertyChangeListener, setAsText, setSource, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PropertyBeanEditor

    public PropertyBeanEditor()

Method Detail

### isPaintable

    public boolean isPaintable()

  returns true;

  Specified by:
    `isPaintable` in interface `java.beans.PropertyEditor`
  Overrides:
    `isPaintable` in class `java.beans.PropertyEditorSupport`

### paintValue

    public void paintValue(java.awt.Graphics g,
                           java.awt.Rectangle box)

  represents the face of the custom property editor as a rectangular box containing the text "Click to Edit".

  Specified by:
    `paintValue` in interface `java.beans.PropertyEditor`
  Overrides:
    `paintValue` in class `java.beans.PropertyEditorSupport`

### supportsCustomEditor

    public boolean supportsCustomEditor()

  returns true.

  Specified by:
    `supportsCustomEditor` in interface `java.beans.PropertyEditor`
  Overrides:
    `supportsCustomEditor` in class `java.beans.PropertyEditorSupport`

### getCustomEditor

    public java.awt.Component getCustomEditor()

  returns an instance of the `GenericPropertySheet` which serves as the custom editor component for the bean property associated with this editor.

  Specified by:
    `getCustomEditor` in interface `java.beans.PropertyEditor`
  Overrides:
    `getCustomEditor` in class `java.beans.PropertyEditorSupport`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details